#################################################################
#								#
# Copyright (c) 2019 YottaDB LLC and/or its subsidiaries.	#
# All rights reserved.						#
#								#
#	This source code contains the intellectual property	#
#	of its copyright holder(s), and is made available	#
#	under a license.  If you do not know the terms of	#
#	the license, please stop and do not read further.	#
#								#
#################################################################

load test_helpers

setup() {
  init_test
  createdb
  load_fixture names.sql
  load_fixture names.zwr
}

@test "Ensure cross-references are not computed for computed columns" {
  curtime=`$ydb_dist/mumps -run %XCMD 'write $HOROLOG'`
  sleep 1	# sleep so we are guaranteed the "time = $curtime" check below will not match any records
  		# (since "time" below will reflect the current time then and hence will be at least one second after $curtime
  echo "select time from namesWithAges where time = \"$curtime\"" > query.sql
  octo -f query.sql 2>&1 | tee output.txt
  verify_output TCC01 output.txt noinfo nodebug
}
